PrefabFiles = {
	"peri",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/peri.tex" ),
	Asset( "ATLAS", "images/saveslot_portraits/peri.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/peri.tex" ),
	Asset( "ATLAS", "images/selectscreen_portraits/peri.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/peri_silho.tex" ),
	Asset( "ATLAS", "images/selectscreen_portraits/peri_silho.xml" ),
	
    Asset( "IMAGE", "bigportraits/peri.tex" ),
    Asset( "ATLAS", "bigportraits/peri.xml" ),
	
	Asset( "IMAGE", "images/map_icons/peri.tex" ),
	Asset( "ATLAS", "images/map_icons/peri.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_peri.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_peri.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_peri.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_peri.xml" ),
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- the character select screen lines; note: these are lower-case character name
STRINGS.CHARACTER_TITLES.peri = "The Scout"
STRINGS.CHARACTER_NAMES.peri = "Peridot"
STRINGS.CHARACTER_DESCRIPTIONS.peri = "*Is pretty fast.\n*A dork."
STRINGS.CHARACTER_QUOTES.peri = "\"I'm reporting this!\""

-- note: these are UPPER-CASE character name
STRINGS.CHARACTERS.PERI = require "speech_peri"

-- The character's name as appears in-game 
STRINGS.NAMES.peri = "peri"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.peri = 
{
	GENERIC = "What a jerk.",
	ATTACKER = "Peridot looks kinda shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Peridot, friend of ghosts.",
	GHOST = "Peridot could use some help.",
}

AddMinimapAtlas("images/map_icons/peri.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("peri", "NEUTRAL")
